# Add Contact - AddApplicantContact

## Overview

Add Contact






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `AddApplicantContact`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |**Yes**|
| **ContactName** | string | Name |**Yes**|
| **ContactPhone** | string | Telephone |**Yes**|
| **ContactEmail** | string | Email |**Yes**|
| **ContactAddress** | string | Detailed Address |No|
| **ContactPostalCode** | string | Postal Code |No|
| **ContactTitle** | string | Position |No|
| **ContactID** | int | Primary Key ID |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.genesissai.com/?Action=AddApplicantContact
&ProjectId=mqQkxFFQ
&Name=vGuBtlkx
&Phone=zwOnbNVN
&Email=zltxmAnz
&Address=fCnxcyNr
&PostalCode=pEjAnmGv
&Title=rWNHyvXI
&ContactID=8
```

### Response Example
    
```json
{
  "Action": "AddApplicantContactResponse",
  "RetCode": 0
}
```





